package com.supervision.web.peopleGateManage.mapper;

import com.supervision.web.peopleGateManage.enity.PeopleDevice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PeopleDeviceMapper {

    int insert(PeopleDevice peopleDevice);

    int delete(@Param("personId") String personId, @Param("deviceId") Long deviceId);

    List<Long> selectDevicesByPerson(@Param("personId") String personId);

    List<String> selectPersonsByDevice(@Param("deviceId") Long deviceId);

    void insertRelation(PeopleDevice peopleDevice);

}
